%global srcname upt-rubygems

Name:		python-upt-rubygems	
Version:	0.2
Release:	1%{?dist}
Summary:	RubyGems frontend for upt

License:	BSD
URL:		https://framagit.org/upt/upt-rubygems
Source0:	%pypi_source
BuildArch:	noarch

%description
RubyGems frontend for upt.

%package -n python%{python3_pkgversion}-%{srcname}
Summary:	RubyGems frontend for upt
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:	python%{python3_pkgversion}-requests-mock
Requires:	python%{python3_pkgversion}-requests
Requires:	python%{python3_pkgversion}-semver

%description -n python%{python3_pkgversion}-%{srcname}
RubyGems frontend for upt.

%prep
%setup -q -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{srcname}
%{python3_sitelib}/upt_rubygems-*.egg-info/
%doc README.md CHANGELOG
%license LICENSE
%{python3_sitelib}/upt_rubygems/

%changelog
* Sat Jun 29 2019 Jeremy Bertozzi <jeremy.bertozzi@gmail.com> - 0.2-1
- Initial package

